#!/usr/bin/env python3

from tuikit.core.buffer import Buffer
from tuikit.driver.driver import Driver


buffer = Buffer(16, 8)
buffer.fill('#')
buffer.hline('-', 1, 1, 14)
buffer.hline('-', 1, 6, 14)
buffer.vline('|', 7, 2, 4)
buffer.puts('Hello!', 8, 4)
buffer.frame()

driver = Driver()
driver.init()
driver.draw(buffer)
driver.close()

